/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:closedir.c 12.0$ */
/* $ACIS:closedir.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/sendmail/lib/libndir/RCS/closedir.c,v $ */

#ifndef lint
static char *rcsid = "$Header:closedir.c 12.0$";
#endif

/* Copyright (c) 1982 Regents of the University of California */

static char sccsid[] = "@(#)closedir.c 4.2 3/10/82";

#include <sys/types.h>
#include <dir.h>

/*
 * close a directory.
 */
void
closedir(dirp)
	register DIR *dirp;
{
	close(dirp->dd_fd);
	dirp->dd_fd = -1;
	dirp->dd_loc = 0;
	free(dirp);
}
